/* CONFIGURABLE DEFINITIONS */
/* the name of the MESH */
#define NAME           "Illusions"
/* use IPs if you can */
#define SITE           "199.170.88.6"

/* Haven homepage and haven help pages -make sure helppage entry has 50 characters use "*" to fill in space, feel free to leave the link to the illusions ones if you wish  */
#define HOMEPAGE       "http://www.io.com/illusions"
#define HELPPAGE       "****** http://www.io.com/illusions/help **********"

/* the current version */
#define VERSION        "HC 5.7"

/* location of the MESH (for the time) */
#define LOCATION       "Austin, TX (Central)"

/* the error messages */
#define ERROR          "Unknown, misused, or power command, type .? for help."
#define REGERROR       "You must be registered to use this function, type .?registration."
#define JERK           "You are at level 0, command inoperable."

/* email address of the owner */
#define EMAIL          "kaz@zeal.net, creel@khazad-dum.ccsi.com,"
#define EMAIL2         "termie@laf.cioe.com, or marion@sherwood.brevard.com"

/* name of the CORE label, used on headers of the system messages */
#define CORE           "IllusionCORE"

/* Equus- channel and label for the game */
#define GAME           "IllusGAME"

/* Message shown on exit. (two lines) */
#define EXIT1          "You were never here, it was only an Illusion..."
#define EXIT2          "Come experience Illusions again"

/* the full message (four lines) */
#define FULL1          "Illusions is full now,"
#define FULL2          "try to experience your Illusions again"
#define FULL3          "in a couple of minutes! :)"
#define FULL4          "  TRY  PLUR (ccwf.cc.utexas.edu 7587)"

/* kill sequence:  KILL1\r\nKILL2A <linenumber> KILL2B <name> KILL2C */
#define KILL1          "A big mist suddenly surrounds you"
#define KILL2A         "You hear a noise as line"
#define KILL2B         "is vaporized into a new form of a"
#define KILL2C         "and making you wonder if it was real"

/* hourly update:  TIME1A <hour>TIME1B  */
#define TIME1A         "Off in the distance you hear the Campus Tower bells.. its " 
#define TIME1B         " (database saving)"

/* These are the main channel definitions.  MAIN is the NAME of the main channel. MAIN_N, MAIN_S, etc are the names the of passages out of the main.  e.g.
if you set MAIN_U to "TheAttic" then .G u will take you to the attic */

#define MAIN           "peace"
#define MAIN_DESC      "Welcome to the grassy knoll of your Illusions, aka the main.  East is the Bathroom, west is IllusionsGAME, and up is the attic where old items are stored.  To go a direction, type .G <dir>."
#define MAIN_OWNER     "kaz"
#define MAIN_N         "kamasutra"
#define MAIN_S         ""
#define MAIN_E         "Bathroom"
#define MAIN_W         "IllusGAME"
#define MAIN_U         "TheAttic"
#define MAIN_D         ""

/* these are the level passwords, passed in with .q<password> */
#define LEVEL_4        "LEVEL_FOUR"
#define LEVEL_3	       "LEVEL_THREE"
#define LEVEL_2        "LEVEL_TWO"
#define LEVEL_1        "LEVEL_ONE"
#define LEVEL_0        "LEVEL_ZERO"
#define SHUTDOWN       "SHUTDOWN_PASSWORD"

/* these are the "just left" messages */
#define LEFT           "just vaporized."
#define DIED           "just vaporized. (linkdead)"
#define LEFT_S         "just vaporized mumbling,"

/* the new arrival message (the prefix) */
#define ARRIVAL        "Another Illusion -->"

/* the default name and header record in the registry.  The name they have
   before they set it */
#define NEWCONN           "An Illusion"

/* the storage room ** IF THIS IS DIFFERENT THAN THE MAIN, MAKE SURE YOU
   MAKE THIS A ROOM BEFORE YOU OPEN IT TO THE PUBLIC */
#define STORAGE       "TheAttic"
