#define BUFSIZE		2090	/* the maximum line length to be recieved */
#define RECALL_SIZE     8       /* number of pages held in the buffer */
#define HNAMELEN	80	/* maximum host name length */
#define MAXARGS 	4	/* the maximum number of args on a cmd line */

#define allocmem(str)   ((char *)malloc((str + 1) * sizeof(char)))
#define MAXCONN 	256	/*  default capacity - 4 */
#define LINEMAX		252     /*  max number of users HARD max */
#define MAXLINES	40

#define BEEPSTR		""
#define HILITEON	"[1m"
#define HILITEOFF	"[0m"

#define NUMLVL		5	/* the maximum number of security levels */
#define SUPREME		4	/* The level neccessary for ultimate access */
#define SYSOP		3	/* The level neccessary for sysop access */
#define COSYSOP		2	/* The level of a COSYSOP */
#define BABYCO		1	/* we like these people a lot */
#define JOEUSER		0	/* the level of Joe User */

#define HIDDEN          0x0000   /* disabled */
#define HUSHED          0x0002
#define NOMESG          0x0004
#define TRAD		0x0008
#define ECHO		0x0010
#define MESS            0x0020
#define PSUP            0x0040
#define SYSLOG          0x0100
#define BEEP            0x0800
#define NOREMOTE        0x0000  /* disabled */
#define SYSLOG2 	0x1000
#define HILITE          0x0200
#define TECHNO          0x0400
#define CHANOP		0x0080
#define NEWBIE          0x0001
#define GAGGED          0x0000   /* disabled */

#define WELCOMEFILE	"haven.welcome"
#define HELPFILE	"haven.help"
#define LOGFILE		"haven.mess"
#define ANNFILE         "haven.ann"
#define DICTFILE        "wordfile"
#define VERFILE         "haven.version"   
#define ANNFILETWO      "haven.ann2"
#define NONAME          "?"

#define YELL   		0x0001
#define TIME   		0x0002
#define REGISTERED	0x0004
#define PAGE		0x0008
#define FUCKWIT		0x0010
#define LOCALECHO       0x0020
#define ZSUP            0x0040

#define lindic "((((("
#define rindic ")))))"
#define LF "/r/n"

/* types for who list */
#define LINE	'l'
#define ALL	'*'
#define CHANNEL	'c'
#define TIDLE   't'

/* status values */
#define	NONE		0
#define	MESSAGE		1
#define COMMAND		2

typedef enum {none, verblist, longverblist, tilde, backquote, who, who2, finglist, login1, login2, login3, bblist, tidle} More;

#define USAGE	"USAGE: haven [-l file] [-d] portnumber\nusualy just: haven -d 2525\n"
    
#define togplayer(x,y)        x->flags = x->flags ^ (y)
#define togplayer2(x,y)              x->flag2 = x->flag2 ^ (y)
#define isplayer(x,y)         x->flags & (y)
#define isplayer2(x,y)       x->flag2 & (y)
#define notplayer(x,y)        !(isplayer(x,y))
struct splayer {
    struct splayer *next; /* the next player in the linked list */
    int seclevel;	/* how powerful are they? */
    char channel[10];
    int ln;
    int s;		/* also the line number */
    int query;  /* line number of player query */
    long flags;	/* player associated flags */
    long flag2;      /*second flag set*/
    long idle;		/* number of seconds since the D00F did anything */
    long contime;       /* the time they logged on */
    int wrap;
    char invchan[10];
    int invline;
    char pagebuffer[RECALL_SIZE][BUFSIZE];
    int lastp;
    double lastans;
    char object[40];
    char gender;
    More moretype;
    int moreline;
    char morearg[30];
    int gag[LINEMAX];
    int hilite[LINEMAX];
    char idlemesg[150];
    char *desc;
    char *arrmesg;
    char *wandmesg;
    char *joinmesg;
    char *useraddr;
    char *exitmesg;
    char lastpage[BUFSIZE];
    char linemodebuf[BUFSIZE];
    int lineindex;
    int col;
    char onfrom[40];	/* where they are on from */
    char realonfrom[40];           /* <--NEW LINE */
    int changedonfrom;            /* <--NEW LINE */   
    char name[25];	/* the idiots name */
    short lps;		/* number of lines they've done this second */
};

struct channel {
    char name[9];
    struct channel *next;
};


struct banlist {
    char name[40];
    struct banlist *next;
};

struct lewdlist {
    char name[40];
    struct lewdlist *next;
};

struct hostlist {
    char name[40];
    struct hostlist *next;
};

struct rnames {
     char name[40];
     char passwd[40];
     char *desc;
     char *arrmesg;
     char *wandmesg;
     char *joinmesg;
     char *useraddr;
     char *exitmesg;
     char gender;
     char login[25];
     char channel[13]; 
     char flag[15];
     struct rnames *next;
};

struct smail {
  char name[40];
  char from[40];
  char when[40];
  char *mess;
  struct smail *next;
};

struct sfriend {
  char name[40];
  char friend[40];
  struct sfriend *next;
};

struct sverb {
  char verbname[40];
  char owner[40];
  char *verb;
  char perm;
  struct sverb *next;
};

struct sobject {
  char name[40];
  char owner[40];
  char *desc;
  char c_type;
  char cont[40];
  char cont_perm;
  char *inmesg;
  char *outmesg;
  struct sobject *next;
};

struct slink {
  char name[40];
  char owner[40];
  char *verb;
  char object[40];
  struct slink *next;
};

struct sroom {
  char name[40];
  char owner[40];
  char *desc;
  int  sanct;
  char north[40];
  char south[40];
  char east[40];
  char west[40];
  char up[40];
  char down[40];
  struct sroom *next;
};



















